Bug 1254392 - [abrt] cinnamon: FT_Outline_Decompose(): cinnamon killed by SIGSEGV
[abrt] cinnamon: FT_Outline_Decompose(): cinnamon killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:49ada20db0e0bb9f7af02c335d4...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 20:43 EDT by Tad Bilby
Modified: 2016-07-19 13:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (199.65 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: cgroup (180 bytes, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: core_backtrace (77.87 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: dso_list (17.48 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: environ (1.90 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: maps (80.69 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: mountinfo (3.90 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: open_fds (6.18 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-08-17 20:43 EDT, Tad Bilby
no flags Details

  None (edit)
Description Tad Bilby 2015-08-17 20:43:41 EDT
Description of problem:
Logged into Cinnamon desktop, no desktop icons visible.  The panel is visible and usable at the bottom of the screen.

Version-Release number of selected component:
cinnamon-2.6.13-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: FT_Outline_Decompose
executable:     /usr/bin/cinnamon
global_pid:     3500
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 4 (10 frames)
 #0 FT_Outline_Decompose at /usr/src/debug/freetype-2.5.5/src/base/ftoutln.c:159
 #1 gray_convert_glyph_inner at /usr/src/debug/freetype-2.5.5/src/smooth/ftgrays.c:1769
 #2 gray_convert_glyph at /usr/src/debug/freetype-2.5.5/src/smooth/ftgrays.c:1872
 #3 ft_smooth_render_generic at /usr/src/debug/freetype-2.5.5/src/smooth/ftsmooth.c:308
 #4 FT_Render_Glyph_Internal at /usr/src/debug/freetype-2.5.5/src/base/ftobjs.c:4103
 #5 FT_Render_Glyph at /usr/src/debug/freetype-2.5.5/src/base/ftobjs.c:4190
 #6 _render_glyph_outline at cairo-ft-font.c:1444
 #7 _cairo_ft_scaled_glyph_init at cairo-ft-font.c:2378
 #8 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:3004
 #9 composite_glyphs at cairo-image-compositor.c:889
Comment 1 Tad Bilby 2015-08-17 20:43:44 EDT
Created attachment 1064104 [details]
File: backtrace
Comment 2 Tad Bilby 2015-08-17 20:43:45 EDT
Created attachment 1064105 [details]
File: cgroup
Comment 3 Tad Bilby 2015-08-17 20:43:46 EDT
Created attachment 1064106 [details]
File: core_backtrace
Comment 4 Tad Bilby 2015-08-17 20:43:47 EDT
Created attachment 1064107 [details]
File: dso_list
Comment 5 Tad Bilby 2015-08-17 20:43:48 EDT
Created attachment 1064108 [details]
File: environ
Comment 6 Tad Bilby 2015-08-17 20:43:49 EDT
Created attachment 1064109 [details]
File: limits
Comment 7 Tad Bilby 2015-08-17 20:43:50 EDT
Created attachment 1064110 [details]
File: maps
Comment 8 Tad Bilby 2015-08-17 20:43:51 EDT
Created attachment 1064111 [details]
File: mountinfo
Comment 9 Tad Bilby 2015-08-17 20:43:51 EDT
Created attachment 1064112 [details]
File: namespaces
Comment 10 Tad Bilby 2015-08-17 20:43:52 EDT
Created attachment 1064113 [details]
File: open_fds
Comment 11 Tad Bilby 2015-08-17 20:43:53 EDT
Created attachment 1064114 [details]
File: proc_pid_status
Comment 12 leigh scott 2015-08-18 01:27:44 EDT
The bug is in freetype, I would have reassigned the bug but it take nearly five minutes for bugzilla to respond so screw it!
Comment 13 Fedora End Of Life 2016-07-19 13:32:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.